ECHO(1)

NAME
echo - Display a line of text

SYNOPSIS
echo [-n ] [-e ] [-E ] [-h|--help] [-V|--version] [STRING]

DESCRIPTION
Display a line of text

OPTIONS

-n  do not output the trailing newline

-e  enable interpretation of backslash escapes

-E  disable interpretation of backslash escapes (default)

-h, --help
    Print help

-V, --version
    Print version

[STRING]

EXTRA
Echo the STRING(s) to standard output.

If -e is in effect, the following sequences are recognized:

- \ backslash - \a alert (BEL) - \b backspace - \c produce no further output - \e escape - \f form feed - \n new line - \r carriage return - \t horizontal tab - \v vertical tab - \0NNN byte with octal value NNN (1 to 3 digits) - \xHH byte with hexadecimal value HH (1 to 2 digits)

VERSION
v(uutils coreutils) 0.10.0

EXAMPLES
Print a text message. Note: Quotes are optional:

echo "Hello World"

Print a message with environment variables:

echo "My path is $PATH"

Print a message without the trailing newline:

echo -n "Hello World"

Append a message to the file:

echo "Hello World" >> file.txt

Enable interpretation of backslash escapes (special characters):

echo -e "Column 1\tColumn 2"

Print the exit status of the last executed command (Note: In Windows Command Prompt and PowerShell the equivalent commands are `echo %errorlevel%` and `$lastexitcode` respectively):

echo $?

Pass text to another program through `stdin`:

echo "Hello World" | program

The examples are provided by the tldr-pages project <https://tldr.sh> under the CC BY 4.0 License. Please note that, as uutils is a work in progress, some examples might fail.